bdi4jade.reasoning

## Class DefaultOptionGenerationFunction

- java.lang.Object
- - bdi4jade.reasoning.AbstractReasoningStrategy
  - - bdi4jade.reasoning.DefaultOptionGenerationFunction

- All Implemented Interfaces:
    OptionGenerationFunction, ReasoningStrategy

      public class DefaultOptionGenerationFunction
      extends AbstractReasoningStrategy
      implements OptionGenerationFunction

  This class is the default implementation of the strategy `OptionGenerationFunction`. No goal is dropped or created.
  Author:
    Ingrid Nunes

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.reasoning.AbstractReasoningStrategy

      `capability`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOptionGenerationFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGoals(GoalUpdateSet goalUpdateSet)` This performs no action, that is, it is an empty implementation.

    - ### Methods inherited from class bdi4jade.reasoning.AbstractReasoningStrategy

      `setCapability`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.reasoning.ReasoningStrategy

      `setCapability`

- - ### Constructor Detail

    - #### DefaultOptionGenerationFunction

          public DefaultOptionGenerationFunction()

  - ### Method Detail

    - #### generateGoals

          public void generateGoals(GoalUpdateSet goalUpdateSet)

      This performs no action, that is, it is an empty implementation. Therefore, no goal from the current goal set of the `GoalUpdateSet` remains as goals, and no goal is dropped or created.
      Specified by:
        `generateGoals` in interface `OptionGenerationFunction`
      Parameters:
        `goalUpdateSet` - a three-set object containing current goals with their status, and dropped and generated goals.
      See Also:
        `OptionGenerationFunction.generateGoals(GoalUpdateSet)`